Package ru.bitel.bgbilling.modules.tv.common.service

# Interface TvService

    public interface TvService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<TvServiceSpecChannelLink>` | `channelLinkList​(int serviceSpecId, java.util.Date date)` |
  `void` | `channelLinkUpdate​(int serviceSpecId, java.util.List<TvServiceSpecChannelLink> linkList)` |
  `java.util.List<TvChannelSpec>` | `channelSpecList​(int serviceSpecId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title)` |
  `void` | `channelSpecListUpdate​(int serviceSpecId, java.util.List<TvChannelSpec> tvChannelSpecList)` |
  `int` | `getProductSpecEntitySpecId()` |
  `int` | `getServiceSpecEntitySpecId()` |
  `int` | `getTvChannelSpecEntitySpecId()` |
  `void` | `groupOperationActivate​(java.util.Set<java.lang.Integer> contractIds, java.util.Date time, int productSpecId, int activationModeId, java.lang.String description, java.lang.String comment)` |
  `void` | `groupOperationDeactivate​(java.util.Set<java.lang.Integer> contractIds, java.util.Date time, int productSpecId, int activationModeId, boolean now)` |
  `java.math.BigDecimal` | `precalculateAccount​(int contractId, java.util.Date dateTo)` | Вычисление будущей наработки для определения рекомендуемого платежа.
  `void` | `prolongate​(int contractId, java.math.BigDecimal balance, java.math.BigDecimal limit, ru.bitel.bgbilling.modules.tv.common.ProlongationType prolongationType)` | Принудительный вызов попытки пролонгации продуктов договора.
  `void` | `recalculate​(java.lang.String email, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> contractGroupIds, java.util.Set<java.lang.Integer> contractIds)` |

- ## Method Details

  - ### channelLinkList

    java.util.List<TvServiceSpecChannelLink> channelLinkList​(int serviceSpecId, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### channelLinkUpdate

    void channelLinkUpdate​(int serviceSpecId, java.util.List<TvServiceSpecChannelLink> linkList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### channelSpecList

    java.util.List<TvChannelSpec> channelSpecList​(int serviceSpecId, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### channelSpecListUpdate

    void channelSpecListUpdate​(int serviceSpecId, java.util.List<TvChannelSpec> tvChannelSpecList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getProductSpecEntitySpecId

    int getProductSpecEntitySpecId() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getServiceSpecEntitySpecId

    int getServiceSpecEntitySpecId() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTvChannelSpecEntitySpecId

    int getTvChannelSpecEntitySpecId() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### recalculate

    void recalculate​(java.lang.String email, java.util.Date dateFrom, java.util.Date dateTo, java.util.Set<java.lang.Integer> contractGroupIds, java.util.Set<java.lang.Integer> contractIds) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### prolongate

    void prolongate​(int contractId, java.math.BigDecimal balance, java.math.BigDecimal limit, ru.bitel.bgbilling.modules.tv.common.ProlongationType prolongationType) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Принудительный вызов попытки пролонгации продуктов договора.
    Parameters:
      `contractId` -
      `balance` -
      `limit` -
      `prolongationType` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### precalculateAccount

    java.math.BigDecimal precalculateAccount​(int contractId, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException
    Вычисление будущей наработки для определения рекомендуемого платежа.
    Parameters:
      `contractId` -
      `dateTo` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`

  - ### groupOperationActivate

    void groupOperationActivate​(java.util.Set<java.lang.Integer> contractIds, java.util.Date time, int productSpecId, int activationModeId, java.lang.String description, java.lang.String comment) throws ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException, ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`
      `ru.bitel.bgbilling.common.BGException`

  - ### groupOperationDeactivate

    void groupOperationDeactivate​(java.util.Set<java.lang.Integer> contractIds, java.util.Date time, int productSpecId, int activationModeId, boolean now) throws ru.bitel.bgbilling.common.BGIllegalArgumentException, ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGIllegalAccessException, ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGIllegalArgumentException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGIllegalAccessException`
      `ru.bitel.bgbilling.common.BGException`